Bug 255449

Summary: [NEW PORT] net-mgmt/bind_exporter: Prometheus exporter for BIND stats
Product: Ports & Packages Reporter: Matt Moriarity <matt>
Component: Individual Port(s)Assignee: Guangyuan Yang <ygy>
Status: Closed FIXED    
Severity: Affects Only Me CC: ygy
Priority: --- Keywords: patch-ready
Version: Latest   
Hardware: Any   
OS: Any   
Attachments:
Description Flags
shar archive of bind_exporter port
none
updated git diff of bind_exporter port
none
updated patch none

Description Matt Moriarity 2021-04-28 02:40:55 UTC
Created attachment 224483 [details]
shar archive of bind_exporter port
Comment 1 Guangyuan Yang freebsd_committer 2021-06-01 06:47:25 UTC
(In reply to Matt Moriarity from comment #0)

I feel like the port is better suited for the sysutils category, with dns as a secondary category? Otherwise looks good to my eyes.
Comment 2 Matt Moriarity 2021-06-01 06:50:08 UTC
(In reply to Guangyuan Yang from comment #1)

No argument from me, I was kind of guessing on the category, this is my first port submission.

Do you need me to attach a new version with that fixed in order to proceed?
Comment 3 Guangyuan Yang freebsd_committer 2021-06-01 06:53:06 UTC
(In reply to Matt Moriarity from comment #2)

Do you need me to attach a new version with that fixed in order to proceed?

That would be great, thanks! And also, add an entry to sysutils/Makefile to hook this port to build.
Comment 4 Matt Moriarity 2021-06-01 15:07:41 UTC
Created attachment 225456 [details]
updated git diff of bind_exporter port

Moved to sysutils category, and added to SUBDIRS in sysutils/Makefile
Comment 5 Guangyuan Yang freebsd_committer 2021-06-08 00:24:38 UTC
(In reply to Matt Moriarity from comment #4)

One nit before committing:

- It would be nice to have a desc= field for `service bind_exporter describe`.

Also, after one more quick research (sorry!), it seems that most *_exporter ports are in the net-mgmt category, so I think in this case, `net-mgmt dns` sounds reasonable to me for CATEGORIES. (I can also just change it before committing with your approval, if you don't feel like updating the patch once again).
Comment 6 Matt Moriarity 2021-06-14 20:21:22 UTC
Created attachment 225809 [details]
updated patch

I moved the port to the net-mgmt category and added a desc field to the RC script, so I think this should be ready to go now.
Comment 7 commit-hook freebsd_committer 2021-06-15 01:22:58 UTC
A commit in branch main references this bug:

URL: https://cgit.FreeBSD.org/ports/commit/?id=616f6f41d370868ea4fb49e026cad28eeb9e6c86

commit 616f6f41d370868ea4fb49e026cad28eeb9e6c86
Author:     Matt Moriarity <matt@mattmoriarity.com>
AuthorDate: 2021-06-15 01:22:16 +0000
Commit:     Guangyuan Yang <ygy@FreeBSD.org>
CommitDate: 2021-06-15 01:22:16 +0000

    net-mgmt/bind_exporter: New port

    Prometheus exporter for BIND server statistics.

    PR:             255449
    Approved by:    lwhsu (mentor)

 net-mgmt/Makefile                                  |  1 +
 net-mgmt/bind_exporter/Makefile (new)              | 55 ++++++++++++++++++
 net-mgmt/bind_exporter/distinfo (new)              | 49 ++++++++++++++++
 .../bind_exporter/files/bind_exporter.in (new)     | 65 ++++++++++++++++++++++
 net-mgmt/bind_exporter/pkg-descr (new)             |  4 ++
 net-mgmt/bind_exporter/pkg-plist (new)             |  1 +
 6 files changed, 175 insertions(+)
Comment 8 Guangyuan Yang freebsd_committer 2021-06-15 01:23:45 UTC
Committed, thanks!